Package com.usatiuk.dhfs

# Class TemporaryOpSerializer

java.lang.Object
com.usatiuk.dhfs.TemporaryOpSerializer

All Implemented Interfaces:
  `ProtoSerializer<OpP,Op>`

@Singleton public class TemporaryOpSerializer extends Object implements ProtoSerializer<OpP,Op>

## Constructor Summary

Constructors
Constructor
Description
`TemporaryOpSerializer()`

## Method Summary

Modifier and Type
Method
Description
`Op`
`deserialize(OpP message)`
`OpP`
`serialize(Op object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemporaryOpSerializer

public TemporaryOpSerializer()

## Method Details

### deserialize

public Op deserialize(OpP message)

Specified by:
  `deserialize` in interface `ProtoSerializer<OpP,Op>`

### serialize

public OpP serialize(Op object)

Specified by:
  `serialize` in interface `ProtoSerializer<OpP,Op>`